#
# spec file for package rspfd (Version 1.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libax25

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libax25 libtool perl rpm

Name:         rspfd
License:      GPL, Other License(s), see package
Group:        Productivity/Hamradio/Packet
Autoreqprov:  on
Version:      1.0
Release:      605
Summary:      Routing Daemon for Use Over Amateur Radio Links
Source:       http://rspf.sourceforge.net/rspf/rspfd-%{version}.tar.gz
Patch:        rspfd-%{version}-strings.patch
URL:          http://rspf.sourceforge.net/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
RSPFd is a routing daemon specifically designed to be used over amateur
radio links.  This implementation adheres as closely as possible to
RSPF v2.2. Most other implementations (part of *NOS programs) follow
RSPF v2.0 somewhat.



Authors:
--------
    Craig Small <csmall@small.dropbear.id.au>

%debug_package
%prep
%setup
%patch

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --mandir=%{_mandir} %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_mandir}/man5/*.gz
%{_mandir}/man8/*.gz
/usr/sbin/*

%changelog -n rspfd
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Tue Jan 14 2003 - nadvornik@suse.cz
- fixed multi-line string literals
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Mon Nov 06 2000 - bubnikv@suse.cz
- changed URLs
* Fri May 19 2000 - bubnikv@suse.cz
- new version (1.0)
- added buildroot, URL
* Thu Mar 02 2000 - ka@suse.de
- changed configure call to %%{_mandir} and %%{_infodir} macros
* Thu Sep 16 1999 - ka@suse.de
- initial release 0.9
